%global debug_package %{nil}

%global forgeurl https://github.com/NanoComp/libctl
Version:        4.5.1
%forgemeta

Name:           libctl
Release:        %autorelease
Summary:        Guile-based library implementing flexible control files for scientific simulations

License:        GPL-2.0-only
URL:            %{forgeurl}
Source0:        %{forgesource}

BuildRequires:  gcc gcc-gfortran
BuildRequires:  make
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  guile-devel

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        tools
Summary:        Tools for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    tools
The %{name}-tools package contains tools about %{name}.

%prep
%forgesetup

%build
./autogen.sh \
    --prefix=%{_prefix} \
    --libdir=%{_libdir} \
    --enable-shared \
    --disable-static
%make_build

%install
%make_install

%check
make check

%files
%license COPYING
%doc README.md
%{_libdir}/libctl.so
%{_libdir}/libctlgeom.so

%files devel
%{_libdir}/libctl.so.7*
%{_libdir}/libctlgeom.so.7*
%{_includedir}/*.h
%{_datadir}/libctl/

%files tools
%{_bindir}/gen-ctl-io
%{_mandir}/man1/gen-ctl-io.1.gz

%changelog
%autochangelog
